[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Bug-gnubg] autogen.sh error

From: Michael Petch
Subject: Re: [Bug-gnubg] autogen.sh error
Date: Mon, 19 Sep 2011 16:49:19 -0600
User-agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20110902 Thunderbird/3.1.14

On 19/09/2011 7:28 AM, 保坂範行 wrote:
> Hi.
> I wanted to build latest gnubg, and I found that I can't
> What autogen.sh reported:
> configure.in:141: error: possibly undefined macro: AS_VERSION_COMPARE
>       If this token and others are legitimate, please use m4_pattern_allow.
>       See the Autoconf documentation.
> I'm using
>  CentOS 5.6
The problem I guess is that I am using a newer macro that doesn't exist
on the older autoconf that CentOS 5.6 is using. It appears you need
version 2.63 of autoconf, and CentOS 5.6 is using autoconf 2.59.

Until I find a work around, two options you have are:
A) Build and install autoconf 2.63 (or higher) onto CentOS 5.6


B) Edit configure.in (in the directory where you have the GNUBG sources)
and on line 142 (or close to it)you will see a line like:

AS_VERSION_COMPARE("$(uname -r)", "10.0", needquicktime=yes, [], [])

Change it to:

dnl AS_VERSION_COMPARE("$(uname -r)", "10.0", needquicktime=yes, [], [])

This will comment out the line causing the problem.Since this is only
used on Mac builds commenting it out with "dnl" should allow you to
build on CentOS.

Michael Petch 
CApp::Sysware Consulting Ltd. 
OpenPGP FingerPrint=D81C 6A0D 987E 7DA5 3219 6715 466A 2ACE 5CAE 3304 

reply via email to

[Prev in Thread] Current Thread [Next in Thread]